CC=gcc
MPICC=mpicc 
INC=-I/usr/X11R6/include
LIB=-L/usr/X11R6/lib

CFLAGS=$(INC) -g -Wall

all: compute mandel

compute: compute.c
	$(MPICC) -o compute compute.c

mandel: userinterface.o
	$(CC) -o mandel userinterface.o $(LIB) -lXaw -lXmu -lXt -lX11 

clean:
	rm -f *.o compute mandel

# Copyright 1997 Tommy Johnson All Rights Reserved.
#
# Permission is hereby granted to copy, reproduce, redistribute or otherwise
# use this software as long as: there is no monetary profit gained
# specifically from the use or reproduction of this software, it is not
# sold, rented, traded or otherwise marketed, and this copyright notice is
# included prominently in any copy made.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. ANY USE OF THIS
# SOFTWARE IS AT THE USER'S OWN RISK.
